﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace BarCodeScanner
{
    public partial class Password : Form
    {
        Form parForm;
        string passwordString;

        public Password(Form f, string s)//params: parent form, password string
        {
            passwordString = s;
            parForm = f;
            InitializeComponent();
        }

        private void tbxPassword_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (e.KeyChar == 13)//press enter
            {
                btnCheckPassword.Focus();
                checkpassword();
            }
        }

        private void btnCheckPassword_Click(object sender, EventArgs e)
        {
            checkpassword();
        }

        private void checkpassword()
        {
            if (tbxPassword.Text.Trim() == passwordString)
            {
                this.DialogResult = DialogResult.OK;
                this.Close();
            }
            else
            {
                if (MessageBox.Show("Sorry! Your password is wrong!", "Warning", MessageBoxButtons.RetryCancel, MessageBoxIcon.Warning) == DialogResult.Cancel)
                {
                    this.Close();
                }
            }
        }

        private void Password_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Enter)
            {
                this.btnCheckPassword.PerformClick();
            }
            
        }
    }
}
